V1.0

get

/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subject/{subjectId}/visit/{visitId}/forms/{formId}/validate/dataelements

API validates all data elements within a specific form for a given subjects visit in a clinical study. It assesses each data item in the form, evaluating status such as whether it is locked, frozen

Request

Path Parameters
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example:
    0A1B2C3D4E5F60718293A4BCCFA7EE82
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    B1D8B2BA9DD84F0BAEF700387265AC8A
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    0123456789ABCDEF0123456789ABCDEF
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
    Example:
    AB1234567890CDEFAB1234567890CDEF
Query Parameters
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example:
    1
  • Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.
    Example:
    1
  • Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.
    Example:
    1

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Validation completed - returns list of DataElementValidationDto objects as result.
Body ()
Root Schema : DataElementValidationDto
Type: object
Representing validation result/status for a specific data element instance, including lock and repeat status information.
Show Source
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 9A201C440D40426080C825762206D64B
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 2
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 12197E724A1C47C8A740153E5948AB19
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data element given in format of UUID.
    Example: 64C57ED1076F47078C8E5AD537244989
  • Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.
    Example: 1
  • Whether the item is frozen for this record.
    Example: true
  • Whether the item is locked for this record.
    Example: true
  • Whether the parent is locked for this record.
    Example: false
  • Whether the subject is locked for this record.
    Example: false
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: F7F805CA51B545BFB5808EF7952ED597
  • Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.
    Example: 1
  • Form repeat number if applicable.
    Example: 1
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 1
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: C5E90E4184BC4205978759A808245E98
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top